Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).

memberId
string
required

Program member ID (format lmbr_[a-f0-9]+).

Pattern: ^lmbr_[a-f0-9]+$
cardId
string
required

Unique loyalty card identifier (format: lcrd_ followed by hexadecimal characters).

Query Parameters

start_date
string<date>
required

Start of the report date range (inclusive), in YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
end_date
string<date>
required

End of the report date range, in YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
resolution
enum<string>
required

Aggregation resolution of the report. The allowed date range depends on the resolution: day — max 90 days, week — max 12 weeks, month — max 12 months, quarter — max 4 quarters.

Available options:
day,
week,
month,
quarter

Response

Card daily points report.

Card daily report result.

data
object[]

Report entries, one per aggregation period.

object
string

Object type marker. Always report.

Allowed value: "report"
Last modified on July 27, 2026